const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const glossary_terms = sequelize.define(
    'glossary_terms',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

term: {
        type: DataTypes.TEXT,
      
      

      },

definition: {
        type: DataTypes.TEXT,
      
      

      },

source_notes: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  glossary_terms.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity


















































































































//end loop






    db.glossary_terms.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.glossary_terms.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return glossary_terms;
};


